
Redmine - Feature #26184

wiki page in project top page

2017-06-17 13:12 - sachin banugariya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

hello,

i want to add my specific project wiki page as my redmine home page with dropdown option with that wiki name.

or if not possible in dropdown list then also ok i directly get on my home/my page of redmine with other redmine home page block.

thanks.

Related issues:

Is duplicate of Redmine - Feature #26554: Select Wiki Page as Project Start Page New

History

#1 - 2017-07-13 06:18 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#2 - 2017-07-13 06:19 - Toshi MARUYAMA

- Subject changed from how can i add my wiki page option in dropdown list of personalize this page as my page on redmine 3  to add my wiki page

option in dropdown list of personalize this page as my page on redmine 3 

#3 - 2017-07-13 06:19 - Toshi MARUYAMA

- Category changed from Wiki to My page

#4 - 2017-07-13 06:20 - Toshi MARUYAMA

- Subject changed from add my wiki page option in dropdown list of personalize this page as my page on redmine 3  to add wiki page option in my

page

#5 - 2017-07-13 06:21 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#6 - 2017-07-24 12:25 - sachin banugariya

ok that is feature, and if takes time then can you please tell me how can i just set my one wiki page on my home page (redmine 3.x)?

I googled much for find how to set wiki page as my home page on remine version 3.2.1, but as per i get solutions changes in route.rb file.

I tried but dont seems any effect. there is any other change required in route.rb or how can I debug where is issue, because of I not know much ruby

its much complicated for me how we debug and go ahead and set wiki page as home.

root :to => 'wiki#show', :project_id =>'' ,:as => 'home'

after this line added still i dont get the wiki page as per project name as default home page,

also commented below line: root :to => 'welcome#index', :as => 'home'

need to change anything else on route.rb, i dont catch where is the issue, because of i am not having knowledge its much complicated me to debug

how can we set wiki page as home page in redmine 3.2.x version.

thanks.

#7 - 2017-08-20 11:54 - Toshi MARUYAMA

- Category changed from My page to Projects
#8 - 2017-08-20 11:55 - Toshi MARUYAMA

- Subject changed from add wiki page option in my page to add wiki page option in project top page

#9 - 2017-08-20 11:57 - Toshi MARUYAMA

- Subject changed from add wiki page option in project top page to wiki page in project top page

#10 - 2017-08-20 12:01 - Toshi MARUYAMA

- Related to Feature #13722: setup wiki page with default page added

#11 - 2017-08-20 12:20 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #26554.

#12 - 2017-08-20 12:20 - Toshi MARUYAMA

- Is duplicate of Feature #26554: Select Wiki Page as Project Start Page added

#13 - 2017-08-20 12:23 - Toshi MARUYAMA

- Related to deleted (Feature #13722: setup wiki page with default page)
